> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hotglue.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete jobs schedule

> Delete or disable a schedule for a tenant

<Note>
  **Hard delete is only supported for the default tenant.** When `hard_delete=true` and `tenant` is `default`, the schedule is permanently removed. For any other tenant, the same request only disables the schedule — it does not delete it.

  See [Deleting or disabling schedules via API](/key-concepts/jobs/scheduling#deleting-or-disabling-schedules-via-api) for details.
</Note>


## OpenAPI

````yaml delete /{env_id}/{flow_id}/{tenant}/jobs/schedule
openapi: 3.1.0
info:
  title: hotglue API
  version: '1.2'
servers:
  - url: https://api.hotglue.com
security:
  - sec0: []
paths:
  /{env_id}/{flow_id}/{tenant}/jobs/schedule:
    delete:
      summary: Delete jobs schedule
      description: Delete or disable a schedule for a tenant
      operationId: delete-jobs-schedule
      parameters:
        - name: env_id
          in: path
          description: ID of environment
          schema:
            type: string
          required: true
        - name: flow_id
          in: path
          description: ID of flow
          schema:
            type: string
          required: true
        - name: tenant
          in: path
          description: ID of tenant
          schema:
            type: string
          required: true
        - name: hard_delete
          in: query
          description: >-
            If `true`, permanently deletes the schedule when `tenant` is
            `default`. For any other tenant, the schedule is only disabled. If
            `false` or omitted, disables the schedule without deleting it.
          schema:
            type: string
          required: false
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value: {}
              schema:
                type: object
                properties: {}
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: {}
              schema:
                type: object
                properties: {}
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: x-api-key

````